%global namedreltag .Final
%global oname hibernate-jpa-api
%global apiversion 2.1
%global minversion 0
%global pkgversion %{?apiversion}%{?minversion}%{?namedreltag}
%global namedversion %{version}%{?namedreltag}

Name:          hibernate-jpa-2.1-api
Version:       1.0.0
Release:       %mkrel 5
Group:         Development/Java
Summary:       Java Persistence 2.1 (JSR 338) API
License:       EPL and BSD
URL:           https://www.hibernate.org/
Source0:       https://github.com/hibernate/hibernate-jpa-api/archive/%{pkgversion}.tar.gz
Source1:       https://repo1.maven.org/maven2/org/hibernate/javax/persistence/%{name}/%{namedversion}/%{name}-%{namedversion}.pom
# fix mvn build, this project uses the default Gradle to build
# sets various mvn plugins properties
Patch0:        hibernate-jpa-api-2.10.Final-pom.patch

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle

BuildArch:     noarch

%description
Hibernate definition of the Java Persistence 2.1 (JSR 338) API.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{pkgversion}
find . -name "*.jar" -delete

cp -p %{SOURCE1} pom.xml
%patch -P 0 -p1

# Fixing wrong-file-end-of-line-encoding
sed -i 's/\r//' src/main/javadoc/jdstyle.css

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt



%changelog
* Thu May 23 2024 ns80 <ns80> 1.0.0-5.mga10
+ Revision: 2066684
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1827898
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1489807
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1261052
- Mageia 7 Mass Rebuild

* Thu May 11 2017 neoclust <neoclust> 1.0.0-1.mga6
+ Revision: 1100230
- New version 1.0.0 Final

* Wed Mar 02 2016 neoclust <neoclust> 1.0.0-0.8.Draft.18.mga6
+ Revision: 981777
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-0.8.Draft.17.mga6
+ Revision: 976390
- First rebuild of the java stack
- sync package hibernate-jpa-2.1-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-0.3.Draft.18.mga5
+ Revision: 744560
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Dec 20 2013 dmorgan <dmorgan> 1.0.0-0.3.Draft.16.mga4
+ Revision: 559160
- imported package hibernate-jpa-2.1-api


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.3.Draft.16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 1.0.0-0.2.Draft.16
- switch to XMvn
- minor changes to adapt to current guideline

* Thu May 09 2013 gil cattaneo <puntogil@libero.it> 1.0.0-0.1.Draft.16
- initial rpm
